Teams
Team management (session only)
Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
curl -X GET "https://example.com/api/v1/teams/"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
TypeScript Definitions
Use the request body type in TypeScript.
curl -X POST "https://example.com/api/v1/teams/" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Path Parameters
curl -X GET "https://example.com/api/v1/teams/string/invites"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Path Parameters
TypeScript Definitions
Use the request body type in TypeScript.
curl -X POST "https://example.com/api/v1/teams/string/invites" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com" }'Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Path Parameters
curl -X DELETE "https://example.com/api/v1/teams/string/invites/string"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Query Parameters
curl -X GET "https://example.com/api/v1/teams/lookup"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Query Parameters
curl -X GET "https://example.com/api/v1/teams/socials?teamId=string"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Query Parameters
curl -X GET "https://example.com/api/v1/teams/directory?teamId=string"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Path Parameters
curl -X GET "https://example.com/api/v1/teams/string"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Path Parameters
curl -X GET "https://example.com/api/v1/teams/string/overview"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Path Parameters
curl -X GET "https://example.com/api/v1/teams/string/invitable-members"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Path Parameters
curl -X GET "https://example.com/api/v1/teams/string/members"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Path Parameters
curl -X GET "https://example.com/api/v1/teams/string/plan"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Path Parameters
curl -X GET "https://example.com/api/v1/teams/string/media"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Path Parameters
TypeScript Definitions
Use the request body type in TypeScript.
curl -X POST "https://example.com/api/v1/teams/string/media" \ -H "Content-Type: application/json" \ -d '{ "fileName": "string", "fileSize": 0, "mediaType": "string" }'Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Path Parameters
curl -X GET "https://example.com/api/v1/teams/string/status-config"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Path Parameters
TypeScript Definitions
Use the request body type in TypeScript.
curl -X PATCH "https://example.com/api/v1/teams/string/status-config" \ -H "Content-Type: application/json" \ -d '{ "patch": {} }'Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Path Parameters
TypeScript Definitions
Use the request body type in TypeScript.
curl -X PATCH "https://example.com/api/v1/teams/string/switcher-visibility" \ -H "Content-Type: application/json" \ -d '{ "hidden": true }'Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Path Parameters
TypeScript Definitions
Use the request body type in TypeScript.
curl -X POST "https://example.com/api/v1/teams/string/banner/upload-url" \ -H "Content-Type: application/json" \ -d '{ "fileName": "string" }'Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Path Parameters
TypeScript Definitions
Use the request body type in TypeScript.
curl -X PUT "https://example.com/api/v1/teams/string/banner" \ -H "Content-Type: application/json" \ -d '{ "fileKey": "string" }'Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Path Parameters
curl -X DELETE "https://example.com/api/v1/teams/string/media/string"